Bug 538843 - SELinux is preventing /usr/bin/gdb "read" access on nppdf.so.
Summary: SELinux is preventing /usr/bin/gdb "read" access on nppdf.so.
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy
Version: 12
Hardware: i386
OS: Linux
low
medium
Target Milestone: ---
Assignee: Daniel Walsh
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: setroubleshoot_trace_hash:9544437b29d...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-11-19 14:54 UTC by Santiago Lunar
Modified: 2010-06-27 15:02 UTC (History)
9 users (show)

Fixed In Version: 3.6.32-49.fc12
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-12-01 16:40:37 UTC


Attachments (Terms of Use)

Description Santiago Lunar 2009-11-19 14:54:53 UTC
Resúmen:

SELinux is preventing /usr/bin/gdb "read" access on nppdf.so.

Descripción Detallada:

[gdb es un tipo permisivo (abrt_t). Este acceso no fue denegado.]

SELinux denied access requested by gdb. It is not expected that this access is
required by gdb and this access may signal an intrusion attempt. It is also
possible that the specific version or configuration of the application is
causing it to require additional access.

Permitiendo Acceso:

You can generate a local policy module to allow this access - see FAQ
(http://fedora.redhat.com/docs/selinux-faq-fc5/#id2961385) Please file a bug
report.

Información Adicional:

Contexto Fuente               system_u:system_r:abrt_t:s0
Contexto Destino              unconfined_u:object_r:mozilla_home_t:s0
Objetos Destino               nppdf.so [ file ]
Fuente                        gdb
Dirección de Fuente          /usr/bin/gdb
Puerto                        <Desconocido>
Nombre de Equipo              (removed)
Paquetes RPM Fuentes          gdb-7.0-3.fc12
Paquetes RPM Destinos         
RPM de Políticas             selinux-policy-3.6.32-41.fc12
SELinux Activado              True
Tipo de Política             targeted
MLS Activado                  True
Modo Obediente                Enforcing
Nombre de Plugin              catchall
Nombre de Equipo              (removed)
Plataforma                    Linux (removed) 2.6.31.5-127.fc12.i686.PAE #1 SMP Sat
                              Nov 7 21:25:57 EST 2009 i686 i686
Cantidad de Alertas           2
Visto por Primera Vez         mié 18 nov 2009 16:18:10 VET
Visto por Última Vez         mié 18 nov 2009 16:18:10 VET
ID Local                      e38f5bf7-12ca-4393-9c5e-bc5ade9f9494
Números de Línea            

Mensajes de Auditoría Crudos 

node=(removed) type=AVC msg=audit(1258577290.660:490): avc:  denied  { read } for  pid=22068 comm="gdb" name="nppdf.so" dev=sda5 ino=12862 scontext=system_u:system_r:abrt_t:s0 tcontext=unconfined_u:object_r:mozilla_home_t:s0 tclass=file

node=(removed) type=AVC msg=audit(1258577290.660:490): avc:  denied  { open } for  pid=22068 comm="gdb" name="nppdf.so" dev=sda5 ino=12862 scontext=system_u:system_r:abrt_t:s0 tcontext=unconfined_u:object_r:mozilla_home_t:s0 tclass=file

node=(removed) type=SYSCALL msg=audit(1258577290.660:490): arch=40000003 syscall=5 success=yes exit=18 a0=97b3190 a1=8000 a2=0 a3=97b3190 items=0 ppid=1382 pid=22068 auid=4294967295 uid=500 gid=500 euid=500 suid=500 fsuid=500 egid=500 sgid=500 fsgid=500 tty=(none) ses=4294967295 comm="gdb" exe="/usr/bin/gdb" subj=system_u:system_r:abrt_t:s0 key=(null)



Hash String generated from  selinux-policy-3.6.32-41.fc12,catchall,gdb,abrt_t,mozilla_home_t,file,read
audit2allow suggests:

#============= abrt_t ==============
allow abrt_t mozilla_home_t:file { read open };

Comment 1 Daniel Walsh 2009-11-19 15:26:26 UTC
Dontaudited in selinux-policy-3.6.32-46.fc12.noarch

Comment 2 Fedora Update System 2009-11-23 23:37:24 UTC
selinux-policy-3.6.32-49.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/selinux-policy-3.6.32-49.fc12

Comment 3 Fedora Update System 2009-11-25 15:20:21 UTC
selinux-policy-3.6.32-49.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update selinux-policy'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F12/FEDORA-2009-12131

Comment 4 Fedora Update System 2009-12-02 04:31:55 UTC
selinux-policy-3.6.32-49.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.